BitchX(1)

NAME
BitchX - The Ultimate IRC Client

SYPNOSIS
BitchX [-aAbBcdfFHlLnNpPqrvxZ]

DESCRIPTION
BitchX is a VERY heavily modified ircII client. It includes many things such as built in CDCC (XDCC) offering, built in flood protection, etc. It is easier to script things in BitchX because unlike plain, vanilla ircII, half the script does not have to be devoted to changing the appearance of ircII. It also includes many other new features, such as port scanning, advanced TCL, a CD player, a mail client, screening process, etc. BitchX - Based on EPIC Software Labs epic ircII (1998). Version BitchX-1.0 -- Date (19990221). This man page was modified from the existing Debian man page.

OPTIONS

-a  adds default servers and command line servers to server list.

-A  do not display the startup ansi.

-b  load .bitchxrc or .ircrc after connecting to a server.

-B  force BitchX to fork and return you to a shell. pid check on.

-c <channel>
    joins <channel> on startup.

-d  runs BitchX in "dumb" terminal mode.

-f  your terminal uses flow controls (^S/^Q), so BitchX shouldn't.

-F  your terminal doesn't use flow control (default).

-H <hostname>
    uses the virtual hostname if possible.

-l <file>
    loads <file> in place of your .ircrc.

-L <file>
    loads <file> in place of your .ircrc and expands $expandos

-n <nickname>
    nickname to use

-N  do not auto-connect to the next server.

-p <port>
    default server connection port (usually 6667).

-P  toggle check pid.nickname for running program.

-q  does not load .ircrc or .bitchxrc.

-r <file>
    load <file> as list of servers.

-v  tells you about the clients version.

-x  run BitchX in "debug" mode.

-Z  use NAT address when doing dcc.

ENVIRONMENT

BitchX
    uses many environmental variables to configure the client. These can be set by editing your ~/.profile or ~/.bash_login (if you're using a /bin/bash shell) and adding ``export VARNAME="var value"''. Or, if you are using the /bin/tcsh shell you can set these by editing ~/.tcshrc and adding ``setenv VARNAME "var value"''. Below is a list of variables.

IRCNICK
    sets the default IRC nickname. eg, export IRCNICK="mynick"

USER
    sets the default username to use. If not set, it uses a default value of "unknown" - This will only work under NON-UNIX operating systems.

IRCUSER
    same as USER

IRCHOST
    sets the virtual hostname to use.

IRC_HOST
    same as IRCHOST

IRCNAME
    sets the name that appears in the "realname" field on your /whois. The default value is "* I'm to lame to read BitchX.doc *".

IRCSERVER
    sets the default IRC server to use.

IRCPORT
    sets the default IRC port to use. Usually 6667.

IRCPATH
    sets the path from which files are loaded. Default is ~/.BitchX/

IRCUMODE
    sets your default usermode. Usually "+iw"

IRCRC
    sets the filename to be used in place of ~/.bitchxrc or ~/.ircrc

IRCLIB
    sets the BitchX library path (Used for some small example scripts).

IRC_SERVERS_FILE
    sets the name of the IRC server list that is loaded before any other lists.

IRCFINGER
    sets your CTCP FINGER information.

FILES

~/.bitchxrc
    loaded by BitchX when it is started.

~/.ircrc
    if ~/.bitchxrc is not there, this file is loaded on startup instead.

~/.ircservers
    contains a list of IRC servers to cycle through.

/usr/local/lib/bx/
    System-wide configuration dir.

~/.BitchX/BitchX.sav
    Personal configuration file.

~/.BitchX/BitchX.ircnames
    Default random real name. NOTE: Must be copied from /usr/local/lib/bx/

~/.BitchX/BitchX.formats
    Personal BitchX display formats.

~/.BitchX/BitchX.reasons
    Default random kick messages. NOTE: Must be copied from /usr/local/lib/bx/

~/.BitchX/BitchX.quit
    Default random quit messages. NOTE: Must be copied from /usr/local/lib/bx/

/usr/local/lib/bx/BitchX.help
    BitchX help file.

~/.BitchX/screens
    Screen storage for a detached BitchX session.

OBTAINING
You can always download the newest version of BitchX by joining #BitchX on EFNet and typing "/offers" in the channel window. To check what the latest version is type "!explain latest" and the bot will tell you. You can also ftp to ftp.bitchx.com to get the latest client, scripts, tcl objects, documentation, and many other useful items. You can also point your browser to http://www.BitchX.com for some more things.

BUGS
Please report all bugs to an op on #BitchX on EFNet, e-mail panasync or send an e-mail to the mailing list.

MAILING LIST
There is a BitchX mailing list, to subscribe simply send an e-mail to: majordomo@tacorp.net with only the words "subscribe bitchx" in the body. You will receive another mail to confirm this and once you have replied you can post to the list by sending e-mail to bitchx@tacorp.net. This is a helpful place for bug reports

MAN PAGE ORIGINAL AUTHOR
Wichert Akkerman <wakkerma@debian.org>

RESPONSIBLE FOR UPDATE
Robert Durdle <dragoon@nightmail.com> Dan Muntz <power@power.zepa.net> Dan Taylor <dialtone@crackrock.net>

BitchX Author
Colten Edwards <edwards@bitchx.dimension6.com>